;$Id: shapelets_write_shapecat.pro, v2$
;
; Copyright  2004 Richard Massey and Alexandre Refregier.
;
; This file is a part of the Shapelets analysis code.
; www.astro.caltech.edu/~rjm/shapelets/
;
; The Shapelets code is free software; you can redistribute it and/or
; modify it under the terms of the GNU General Public License as published
; by the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; The Shapelets code is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with the Shapelets code; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
;
; ************************************************************************
; ************************************************************************
;
; NAME:
;      SHAPELETS_WRITE_SHAPECAT
;
; PURPOSE:
;      Writes a shapelet coefficient catalogue of objects to disc.
;
; CATEGORY:
;      Data I/O.
;
; INPUTS:
;      shapecat - IDL shapecat structure to be stored.
;      filename - filename to be read, without path or extension.
;
; OPTIONAL INPUTS
;      None.
;
; KEYWORD PARAMTERS:
;      SILENT - Operates silently.
;
; OUTPUTS:
;      Shape information is written to disc.
;
; MODIFICATION HISTORY:
;      May 04 - Written by R.Masey
;-

pro shapelets_write_shapecat, shapecat, filename, SILENT=silent

COMPILE_OPT idl2

if shapecat.polar then message,'Maybe should convert catalogue to Cartesian shapelets!'
message,"Writing shapelet catalogue to"+shapelets_paths(2,silent=silent)+filename+'.shapecat',$
        /info,noprint=silent

save,shapecat,filename=shapelets_paths(2,/silent)+filename+'.shapecat'

end
