pro plt_imstat,image

; Mar 04 - Written by A. Refregier
;
; PURPOSE: plot statistics about an image
; INPUT: image: image structure from shapelets_read_image.pro
; OUTPUT plots

; declarations
im=image.image

; compute raw statistics
print,'min, max:',min(im),max(im)
ave=mean(im)
rms=stdev(im)
;mode=2.5*median(im)-1.5*ave
;print,'mean, rms, mode:',ave,rms,mode
print,'mean, sigma:',ave,rms

; compute approximate mean and rms of background by iterating
; using an alogrythm similar to that used by SEXtractor
conv=0                ; converged?
niter=0
while not conv do begin
  gd=where(abs(im-ave) lt 3.*rms)
  ave_new=mean(im(gd))
  rms_new=stdev(im(gd))
;  mode_new=2.5*median(im(gd))-1.5*ave_new
  if abs(rms_new-rms)/rms lt .2 then conv=1
  ave=ave_new
  rms=rms_new
; mode=mode_new
  niter=niter+1
;print,'mean, rms, mode (<3rms):',ave,rms,mode
;print,'mean, sigma, (<3rms):',ave,rms
endwhile
print,'mean, sigma (<3rms), n_iter:',ave,rms,niter

; compare to noise map
if keyword_set(image.noise) then begin
  noise_rms=mean(1./sqrt(image.noise(gd)))
  print,'noise map: sigma(<3sigma):',noise_rms
endif

; plot pixel histogram
plothist,image.image<20.*rms,bin=rms/20.,xran=[-3.,10.]*rms+ave,$
  xtitle='pixel value',ytitle='No. of pixels'
oplot,ave*[1.,1.],[0,1e9]
oplot,ave+rms*[1,1],[0,1e9],lines=2
oplot,ave-rms*[1,1],[0,1e9],lines=2
;oplot,ave+3.*rms*[1,1],[0,1e9],lines=1
;oplot,ave-3.*rms*[1,1],[0,1e9],lines=1
;legend,['mean','rms','3rms'],lines=[0,2,1],box=0


end
