pro plt_sexcat,sexcat,image

;$Id: plt_sexcat.pro, v2$
;
; Copyright  2004 Richard Massey and Alexandre Refregier.
;
; This file is a part of the Shapelets analysis code.
; www.astro.caltech.edu/~rjm/shapelets/
;
; The Shapelets code is free software; you can redistribute it and/or
; modify it under the terms of the GNU General Public License as published
; by the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; The Shapelets code is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with the Shapelets code; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
;
;+
; Dec 02 - Written by Richard Massey
;
; Displays an image (if inputted to the command line) and overlays the positions ; of all objects found on it by SExtractor. If no image structure is inputted,
; it just plots the positions of objects.
;
; INPUTS:          sexcat: A SExtractor catalogue structure, read by shapelets_read_sexcat.pro
; OPTIONAL INPUTS: image: An image structure, read by shapelets_read_image.pro 
;-

if keyword_set(image) then begin
  ;im2plot=image.imageage-min(image.imageage)
  plt_image,alog10(abs(image.imageage-min(image.imageage)+0.001*max(image.imageage))),/fr,/col
  ;plt_image,sqrt(image.seg)  ,/col,/fr
endif else begin
  ;temp=intarr[round(max(sexcat.x)-min(sexcat.x)),round(max(sexcat.y)-min(sexcat.y))]
  ;temp=intarr[round(max(sexcat.x)),round(max(sexcat.y))]
  plt_image,intarr(round(max(sexcat.x)),round(max(sexcat.y))),/fr,/col
endelse
  plt_image,intarr(1000,2000),/fr,/col


tally=0
for i=0,n_elements(sexcat.x)-1 do begin
 ;if sexcat.mag[i] lt 7.5 then continue
 tally=tally+1
; if (sexcat.mag[i] lt 7 and sexcat.x[i] gt 250 and sexcat.x[i] lt 3900 and $
;     sexcat.y[i] gt 250 and sexcat.y[i] lt 3900 and $
;             (sexcat.x[i] lt 2000 or sexcat.y[i] lt 2000)) ne 1 then continue
  oplot,[sexcat.x[i],sexcat.x[i]],[sexcat.y[i],sexcat.y[i]],psym=3;,symsize=2
endfor
print,tally


end
